> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/runbooks/xrunbooks/importing-unskript-xrunbooks.md).

# Importing unSkript xRunBooks

The unSkript GitHub repository has many [prebuilt xRunBooks](broken://pages/7BBQQeKK5IShm58X9hVY) that are open source and available for your use.

{% tabs %}
{% tab title="Open Source" %}
All of the pre-configured xRunBooks are shown on the Welcome.ipynb.  Simply click the link, and the xRunBook will open in a new tab for editing.

{% embed url="<https://youtu.be/wDF8rfyKhrI>" %}

1. Add [Credentials](/unskript-documentation/guides/getting-started/add-credentials-to-connect-your-resources.md)
2. Set Input Parameters for the RunBook
3. Configure each Action in the RunBook:
   1. Credentials
   2. Set Input Parameters for the Action
      {% endtab %}

{% tab title="Sandbox/SAAS" %}
Importing xRunBooks is identical in the free sandbox and in our SAAS offering.

{% embed url="<https://www.youtube.com/watch?index=2&list=PLG7TPzTSJYkeOIAOj9iaxCaczKHX_qwZ_&v=NwzgbLTOgxg>" %}

* Navigate to the xRunBooks tab.&#x20;
* Click the unSkript xRunBooks tab for a listing of available xRunBooks.
* Sort them using the tags, or search for a sepcific keyword.  Once you find a xRunBook you'd like to use, click the three dots to the right of the row.  Click `Import xRunBook`.
* You'll be prompted to name your version of the xRunBook, and assign a proxy.  This will import the xRunBook into your workspace for editing. &#x20;
* You can now edit the [Actions](/unskript-documentation/actions/actions/action-configuration.md), [Parameters](/unskript-documentation/runbooks/xrunbooks/create-a-parameter.md) so modify the xRunBook to exactly your needs.

{% embed url="<https://www.youtube.com/watch?index=3&list=PLG7TPzTSJYkeOIAOj9iaxCaczKHX_qwZ_&v=11Ni2opN9X4>" %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/runbooks/xrunbooks/importing-unskript-xrunbooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
